# Location for database
db_file     "~/.config/mpd/database"

# Logs to system journal
log_file    "~/.config/mpd/mpd.log"

# The Music directory
music_directory   "~/Mounts/hdd2/Music"
# Uncomment to enable the functionalities
playlist_directory  "/mnt/chernobyl/media/music/playlists"
#pid_file    "~/.config/mpd/pid"
state_file    "~/.config/mpd/state"
sticker_file   "~/.config/mpd/sticker.sql"

# Uncomment to refresh the database whenever files in the music_directory are changed
auto_update "yes"
auto_update_depth "0"

# Keeps MPD paused on launch
restore_paused "yes"

# Binds MPD to interface
#bind_to_address "127.0.0.1"

# Cue settings
playlist_plugin {
 name "cue"
 enabled "yes"
 as_directory "no"
}
# Audio output

audio_output {
  type  "pipewire"
  name  "PipeWire sound Server"
  buffer_time "100000"
}

audio_output {
    type                    "fifo"
    name                    "my_fifo"
    path                    "/tmp/mpd.fifo"
    format                  "44100:16:2"
    buffer_time "100000"
}

